Cloady Docs
API ReferenceEndpointsWorkspaces

Get the workspace's status page

Returns the page's address and what it shows: one component per production app with an alert rule that posts to the status page, with 60 days of uptime, and those rules' incidents. Without such a rule the page does not exist.

GET
/api/workspaces/{workspaceSlug}/status
AuthorizationBearer <token>

Personal API token (cldy_…)

In: header

Path Parameters

workspaceSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/status"
{  "page": {    "url": "string",    "public": true,    "preview": {      "title": "string",      "state": "operational",      "components": [        {          "name": "string",          "state": "operational",          "uptime": 0,          "days": [            {              "day": "string",              "up": 0,              "total": 0            }          ]        }      ],      "incidents": [        {          "id": "string",          "component": "string",          "title": "string",          "impact": "down",          "startedAt": "string",          "resolvedAt": "string"        }      ],      "checkedAt": "string"    }  }}